<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Esb\Api;

use FiloBlu\Esb\Api\Data\AcknowledgeInterface;
use Magento\Framework\Exception\NoSuchEntityException;

/**
 * Interface AcknowledgeManagementInterface
 * @package FiloBlu\Esb\Api
 */
interface AcknowledgeManagementInterface
{

    /**
     * Save Acknowledge.
     *
     * @param AcknowledgeInterface $ack_data
     * @return string
     * @throws NoSuchEntityException
     */
    public function save(AcknowledgeInterface $ack_data);

}