<?php
/**
 * Copyright © 2017 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Esb\Api;

use FiloBlu\Esb\Api\Data\AcknowledgeInterface;
use Magento\Sales\Api\Data\InvoiceInterface;

interface ExternalInvoiceInterface
{

    /**
     * Save External invoice_data.
     *
     * @param InvoiceInterface $invoice_data
     * @return AcknowledgeInterface $ack_data
     */
    public function save(InvoiceInterface $invoice_data);

}