<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */

namespace FiloBlu\Esb\Api;

use FiloBlu\Esb\Api\Data\AcknowledgeInterface;
use Magento\Sales\Api\Data\ShipmentInterface;

/**
 * Interface ExternalShipmentInterface
 * @package FiloBlu\Esb\Api
 */
interface ExternalShipmentInterface
{

    /**
     * Save External shipment.
     *
     * @param ShipmentInterface $shipment_data
     * @return AcknowledgeInterface $ack_data
     */
    public function save(ShipmentInterface $shipment_data);

}